scala.collection.jcl.SortedMap
class KeySet

[source: `scala/collection/jcl/SortedMap.scala`]

`protected` `class` KeySet
  `extends` KeySet `with` Projection[K]

Direct Known Subclasses:
  SortedMapWrapper.KeySet

Method Summary
`def` | compare (k0 : K, k1 : K) : Int Comparison function that orders keys.
`override def` | firstKey : K Returns the first key of the collection.
`override def` | lastKey : K Returns the last key of the collection.
`override def` | rangeImpl (from : Option[K], until : Option[K]) : Projection[K] Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Methods inherited from Projection
projection, filter

Methods inherited from SortedSet
keySet, subsetOf, hasAll

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Sorted
hasAll

Methods inherited from Projection
map

Methods inherited from Projection
force, flatMap, takeWhile, append

Methods inherited from KeySet
size, add, elements, has

Methods inherited from Set
contains, ++, --, +, -, retain, isEmpty, clear, transform

Methods inherited from Collection
addAll, -=, +=

Methods inherited from MutableIterable
remove, removeAll, retainOnly, retainAll, size0

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
apply, *, **, equals, hashCode, toArray, stringPrefix

Methods inherited from Collection
toString

Methods inherited from Iterable
concat, ++, partition, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` compare(k0 : K, k1 : K) : Int

  Comparison function that orders keys.

`override` `def` firstKey : K

  Returns the first key of the collection.

`override` `def` lastKey : K

  Returns the last key of the collection.

`override` `def` rangeImpl(from : Option[K], until : Option[K]) : Projection[K]

  Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Parameters
  `from -` The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.
  `until -` The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.